# Snyk CLI

This documentation provides guidance and information for using the Snyk CLI to bring the [functionality of Snyk](../getting-started/introducing-snyk.md) into your development workflow. Here you will find:

* Guidance for [getting started with the CLI](getting-started-with-the-snyk-cli.md)
* An [important code execution warning for the Snyk CLI](code-execution-warning-for-snyk-cli.md)
* Instructions for [installing or updating the Snyk CLI](install-or-update-the-snyk-cli/), [authenticating the CLI with your account](authenticate-the-cli-with-your-account.md), and [configuring the CLI](configure-the-snyk-cli/)
* The full text of the [CLI help](commands/) for all of the commands and their options, just as the help appears in your terminal
* A comprehensive summary of all of the [CLI commands and options](cli-commands-and-options-summary.md)
* Articles with in-depth information about [scanning and maintaining projects using the CLI](scan-and-maintain-projects-using-the-cli/)

For additional information, see the following pages:

* [Use Snyk Open Source from the CLI](../scan-application-code/snyk-open-source/use-snyk-open-source-from-the-cli/)
* [Using Snyk Code via the CLI](../scan-application-code/snyk-code/using-snyk-code-from-the-cli/)
* [Snyk CLI for container security](../scan-applications/snyk-container/use-snyk-container-from-the-cli/)
* [Snyk CLI for Infrastructure as Code](../scan-cloud-configurations/snyk-infrastructure-as-code/snyk-cli-for-infrastructure-as-code/)
